import axios from 'axios';
import {nanoid} from 'nanoid'
export default{
    namespaced: true,
    state: {
        analist:
        [
            {
                'id':0,
                ana:'花花世界迷人眼，没有实力别赛脸'
            }
        ],
    },
    mutations: {
        addanalist(state,value){
            state.analist.push(value)
        }
    },
    actions:{
        axiosGetAna(context){
            axios.get('https://api.uixsj.cn/hitokoto/get?type=social')
            .then(res=>{
                context.commit('addanalist',
                {
                    id:nanoid(),
                    ana:res.data
                })
            })
        }
    },
    getters: {
        showListLength(state){
            return state.analist.length
        }
    }
}